Subject: Re: [Seamoby] framework for DMHA protocol

From: [email-masked]
Date: Wed, 2 Jan 2002 11:53:53 +0100

On 21 Dec 2001, at 16:46, Jari T. Malinen wrote:

Hi Jari,

please see my comments in line...
> Hello,
> 
> Having a design team framework document is ok, currently the draft-renker
> gives a multitude of choices to do a protocol. Ultimately we'll need something
> simple and unambiguous.
=> Agreed.  We'll need something simple and unambiguous, but at 
the same time we should not restrict ourself too much at this early 
stage of the protocol design. The 'multitude of choices' offer a 
variety of possibilities in order to be as flexible and open as 
possible. All the choices are up for discussion so that the group 
can (hopefully) come out with the desired simple and unambiguous 
protocol.

> This would need strong modification to become a
> real protocol from its current format which looks more like an architecture
> with candidate modes for several functionalities.
> 
> I second that the requirement for protocol independence is important.
> Hence, I suggest structuring the document in a way that decouples the protocol
> from all other protocols (MIPv6 etc. included) so much that they do not need
> ideally to be even refered to at all. If needed, there should be appendices
> describing interaction but only in the case it is essential for the
> working of the protocol in some mode etc. Interdependences should be
> minimized.
=> Isn't this exactly what Marco proposed in his mail (seebelow)?!
I think, the idea of 'moving the Mobile IPv6 options ... into the 
Annex .. ' is a good step forward towards the required protocol 
independance. 

kind regards
ralf
 
> 
> Merry Christmas and a Happy New year all,
> 
> -Jari
> 
> On Fri, Dec 21, 2001 at 06:45:59PM +0100, Marco Liebsch wrote:
> > Dear all,
> > I will try to structure a draft framework, which is then for discussion
> > on the list, taking first the protocol as it is now and moving the
> > Mobile IPv6 options to be considered for MIP optimization purposes into
> > the Annex (open). We have to think about extensions and address the
> > parts the assessment draft refers to. Until first framework is
> > available, please be referred to the current version of the base-line
> > concept draft-renker-paging-ipv6-01.txt and also think of issues to be
> > clarifed with respect to what is already written. So we can address
> > these issues and have enhancements in the first draft version, which
> > could be submitted end of January, if the WG agrees and we proceed. What
> > do you think?
> > 
> > I wish you all a merry Christmas and a happy new year. I will be back in
> > the office around Jan, 10th.
> > 
> > Marco
> >
> 
> _______________________________________________
> Seamoby mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/seamoby
> 

--
Ralf Schmitz
NEC Europe Ltd. - Network Laboratories

E-Mail: [email-masked]
http://www.ccrle.nec.de/

Adenauerplatz 6
D-69115 Heidelberg - Germany

Phone: +49 (0)6221/ 13 70 8 - 12
Fax:   +49 (0)6221/ 13 70 8 - 28

_______________________________________________
Seamoby mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/seamoby